cascading.flow.local

## Class LocalFlowProcess

- java.lang.Object
- - cascading.flow.FlowProcess<java.util.Properties>
  - - cascading.flow.local.LocalFlowProcess

    public class LocalFlowProcess
    extends FlowProcess<java.util.Properties>

Class LocalFlowProcess is the local mode implementation of `FlowProcess`.

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.FlowProcess

`FlowProcess.NullFlowProcess`

### Field Summary

### Fields inherited from class cascading.flow.FlowProcess

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`LocalFlowProcess()`
`LocalFlowProcess(FlowSession flowSession, java.util.Properties config)`
`LocalFlowProcess(LocalFlowProcess flowProcess, java.util.Properties properties)`
`LocalFlowProcess(java.util.Properties config)`

### Method Summary

Methods
`<C> C` `copyConfig(C config)`
`FlowProcess` `copyWith(java.util.Properties object)`
`<C> java.util.Map<java.lang.String,java.lang.String>` `diffConfigIntoMap(C defaultConfig, C updatedConfig)`
`java.util.Properties` `getConfig()`
`java.util.Properties` `getConfigCopy()`
`long` `getCounterValue(java.lang.Enum counter)`
`long` `getCounterValue(java.lang.String group, java.lang.String counter)`
`int` `getCurrentSliceNum()`
`int` `getNumProcessSlices()`
`java.lang.Object` `getProperty(java.lang.String key)`
`java.util.Collection<java.lang.String>` `getPropertyKeys()`
`void` `increment(java.lang.Enum counter, long amount)`
`void` `increment(java.lang.String group, java.lang.String counter, long amount)`
`boolean` `isCounterStatusInitialized()`
`void` `keepAlive()`
`java.util.Properties` `mergeMapIntoConfig(java.util.Properties defaultConfig, java.util.Map<java.lang.String,java.lang.String> map)`
`java.lang.Object` `newInstance(java.lang.String className)`
`TupleEntryCollector` `openSystemIntermediateForWrite()`
`TupleEntryIterator` `openTapForRead(Tap tap)`
`TupleEntryCollector` `openTapForWrite(Tap tap)`
`TupleEntryCollector` `openTrapForWrite(Tap trap)`
`void` `setStatus(java.lang.String status)`
`void` `setStepStats(LocalStepStats stepStats)`

### Methods inherited from class cascading.flow.FlowProcess

`closeTrapCollectors, getBooleanProperty, getBooleanProperty, getCurrentSession, getID, getIntegerProperty, getIntegerProperty, getStringProperty, getStringProperty, getTrapCollectorFor, getTrapCollectors, setCurrentSession`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocalFlowProcess

    public LocalFlowProcess()

#### LocalFlowProcess

    public LocalFlowProcess(java.util.Properties config)

#### LocalFlowProcess

    public LocalFlowProcess(FlowSession flowSession,
                    java.util.Properties config)

#### LocalFlowProcess

    public LocalFlowProcess(LocalFlowProcess flowProcess,
                    java.util.Properties properties)

### Method Detail

#### setStepStats

    public void setStepStats(LocalStepStats stepStats)

#### getNumProcessSlices

    public int getNumProcessSlices()

Specified by:
  `getNumProcessSlices` in class `FlowProcess<java.util.Properties>`

#### getCurrentSliceNum

    public int getCurrentSliceNum()

Specified by:
  `getCurrentSliceNum` in class `FlowProcess<java.util.Properties>`

#### getProperty

    public java.lang.Object getProperty(java.lang.String key)

Specified by:
  `getProperty` in class `FlowProcess<java.util.Properties>`

#### getPropertyKeys

    public java.util.Collection<java.lang.String> getPropertyKeys()

Specified by:
  `getPropertyKeys` in class `FlowProcess<java.util.Properties>`

#### newInstance

    public java.lang.Object newInstance(java.lang.String className)

Specified by:
  `newInstance` in class `FlowProcess<java.util.Properties>`

#### keepAlive

    public void keepAlive()

Specified by:
  `keepAlive` in class `FlowProcess<java.util.Properties>`

#### increment

    public void increment(java.lang.Enum counter,
                 long amount)

Specified by:
  `increment` in class `FlowProcess<java.util.Properties>`

#### increment

    public void increment(java.lang.String group,
                 java.lang.String counter,
                 long amount)

Specified by:
  `increment` in class `FlowProcess<java.util.Properties>`

#### getCounterValue

    public long getCounterValue(java.lang.Enum counter)

Specified by:
  `getCounterValue` in class `FlowProcess<java.util.Properties>`

#### getCounterValue

    public long getCounterValue(java.lang.String group,
                       java.lang.String counter)

Specified by:
  `getCounterValue` in class `FlowProcess<java.util.Properties>`

#### setStatus

    public void setStatus(java.lang.String status)

Specified by:
  `setStatus` in class `FlowProcess<java.util.Properties>`

#### isCounterStatusInitialized

    public boolean isCounterStatusInitialized()

Specified by:
  `isCounterStatusInitialized` in class `FlowProcess<java.util.Properties>`

#### openTapForRead

    public TupleEntryIterator openTapForRead(Tap tap)
                                      throws java.io.IOException

Specified by:
  `openTapForRead` in class `FlowProcess<java.util.Properties>`
Throws:
  `java.io.IOException`

#### openTapForWrite

    public TupleEntryCollector openTapForWrite(Tap tap)
                                        throws java.io.IOException

Specified by:
  `openTapForWrite` in class `FlowProcess<java.util.Properties>`
Throws:
  `java.io.IOException`

#### openTrapForWrite

    public TupleEntryCollector openTrapForWrite(Tap trap)
                                         throws java.io.IOException

Specified by:
  `openTrapForWrite` in class `FlowProcess<java.util.Properties>`
Throws:
  `java.io.IOException`

#### openSystemIntermediateForWrite

    public TupleEntryCollector openSystemIntermediateForWrite()
                                                       throws java.io.IOException

Specified by:
  `openSystemIntermediateForWrite` in class `FlowProcess<java.util.Properties>`
Throws:
  `java.io.IOException`

#### copyWith

    public FlowProcess copyWith(java.util.Properties object)

Specified by:
  `copyWith` in class `FlowProcess<java.util.Properties>`

#### getConfig

    public java.util.Properties getConfig()

Specified by:
  `getConfig` in class `FlowProcess<java.util.Properties>`

#### getConfigCopy

    public java.util.Properties getConfigCopy()

Specified by:
  `getConfigCopy` in class `FlowProcess<java.util.Properties>`

#### copyConfig

    public <C> C copyConfig(C config)

Specified by:
  `copyConfig` in class `FlowProcess<java.util.Properties>`

#### diffConfigIntoMap

    public <C> java.util.Map<java.lang.String,java.lang.String> diffConfigIntoMap(C defaultConfig,
                                                                         C updatedConfig)

Specified by:
  `diffConfigIntoMap` in class `FlowProcess<java.util.Properties>`

#### mergeMapIntoConfig

    public java.util.Properties mergeMapIntoConfig(java.util.Properties defaultConfig,
                                          java.util.Map<java.lang.String,java.lang.String> map)

Specified by:
  `mergeMapIntoConfig` in class `FlowProcess<java.util.Properties>`